Update to Android 10 on magisk & Edxposed?

AjaySp

Senior Member
Dec 20, 2014
114
4
38
trying to root android 10 i keep getting this error
sending 'boot' (31044 KB)...
OKAY [ 1.032s]
writing 'boot'...
FAILED (remote: Failed to write to partition Not Found)
finished. total time: 1.100s
any help wouldbe appreciated thank you
 

ngelee

Member
Jun 20, 2009
49
11
8
The instructions are for pixel 3 xl's who are coming from pie. I believe version .019 is for anyone who is on the 10 beta firmware.
I'm the Pixel 3 XL with Pie before the upate.

Finally manually flash the .020 factory image (with -w, factory reset the phone), then took the steps from 8~16 and get successful.
To my experiences, if you update through image flash, there're no differences between the .019 or the .020, everything works fine till now.

I believed that some old magisk modules caused the problem that I can't update through your OTA ways, maybe I should uninstall the old magisk from the app itself which could remove all the modules installed, not from the launcher.
 

BrikHaus

Senior Member
Jun 24, 2012
134
37
48
I've had no luck with EdXposed on 10. (Pixel 2XL)
I managed to patch TWRP & Magisk using the old method.
(ADB sideload)
Tried twice, latest versions of Riru, apk, and sandhook / yahfa through twrp. Won't boot for me at all.. Dropped back to trwp and ran EdXposed uninstaller.
Magisk works fine. EdXposed doesn't.
 

dethknite

Senior Member
May 5, 2009
145
49
48
The commits have not been merged yet, but there are 2 newer builds with additional Android Q commits on appveyor as well:
magisk-EdXposed-YAHFA-v0.4.5.5_beta(4469)-release.zip
magisk-EdXposed-YAHFA-v0.4.5.5_beta(4470)-hvwrxtwq-release.zip
 
Last edited:

michal1148

Member
May 14, 2013
38
1
0
Thank you very much, instructions with patch boot.img works like magic. Now, just solve it to edit system files and it will be super- Any idea how to do it?
 

wangdaning

Senior Member
Sep 17, 2012
1,369
570
133
Wuxi
This is encouraging!

My Pixel 3 currently is on android Pie with edxposed installed. How can I upgrade to android 10 also with edxposed included?
Be careful, apparently there is no way to write to vendor on android 10, so 4g cannot be hacked like on Pie. I am in Wuxi and will wait until someone figures out how to write to vendor partition before updating. I have not tried, but everyone keeps saying even with verity disabled you cannot write to system or vendor.
 

bush911

Senior Member
Oct 12, 2012
557
91
58
重庆
Thanks for your suggestion. I am going to put this update on hold
Be careful, apparently there is no way to write to vendor on android 10, so 4g cannot be hacked like on Pie. I am in Wuxi and will wait until someone figures out how to write to vendor partition before updating. I have not tried, but everyone keeps saying even with verity disabled you cannot write to system or vendor.
 
Jul 26, 2018
12
1
13
Kakinada
Has anyone confirmed whether or not Xposed works on Android 10? Riru Core says that it's compatible with Android 10. As long as Riru core works then Xposed should work. But I would like some confirmation so that I can update.
No, it doesn't. I'm on Android Q now, and you'd end up with a boot loop if you flash Edxposed.
 

DvLAx3l

Senior Member
Jan 27, 2011
249
118
0
Naples

Attachments

Jul 26, 2018
12
1
13
Kakinada
Yes, you can flash the one in the canary channel in the edxposed manager or this one that bypass the Snapchat check:

Personally I'm using the one with Snapchat bypass.
Oh, but it didn't work for me, unfortunately.
I'm on AOSiP Q Custom ROM, Asus Zenfone Max Pro M1, by the way.
Tried it with Magisk Canary v19.5 and Riru-core v19.5.
 

buzzaldrine

Senior Member
Apr 23, 2016
116
9
0
Yes, you can flash the one in the canary channel in the edxposed manager or this one that bypass the Snapchat check:
https://github.com/Juxstin/EdXposed-SnapChat-Bypass/releases/tag/1.0.4
Personally I'm using the one with Snapchat bypass.
thanks for the information. xposed is installed but crashing a few times.

---------- Post added at 06:27 PM ---------- Previous post was at 05:43 PM ----------

Yes, you can flash the one in the canary channel in the edxposed manager or this one that bypass the Snapchat check:
https://github.com/Juxstin/EdXposed-SnapChat-Bypass/releases/tag/1.0.4
Personally I'm using the one with Snapchat bypass.
so i have everything installed. and its activated. but anything i install with edxposed i activate the download and reboot the phone, it doesnt seem to communicate with edxposed.

im not understanding, ive tried all the version that work but it says its activated but none of the things i download on edxposed actually work.
 
Last edited:

DvLAx3l

Senior Member
Jan 27, 2011
249
118
0
Naples
thanks for the information. xposed is installed but crashing a few times.

---------- Post added at 06:27 PM ---------- Previous post was at 05:43 PM ----------



so i have everything installed. and its activated. but anything i install with edxposed i activate the download and reboot the phone, it doesnt seem to communicate with edxposed.

im not understanding, ive tried all the version that work but it says its activated but none of the things i download on edxposed actually work.
I'm using it with the whitelist mode try it, maybe it work, I'm using only xinsta module for the moment, waiting for a gravitybox stable release
 

buzzaldrine

Senior Member
Apr 23, 2016
116
9
0
Settings screen attached, maybe can help
thanks ill check that out.
Im trying to get Flat Bar indicators to work but its not working communicating with Xposded Framework. No clue why..

Oh and i can help out with Gravitybox : https://forum.xda-developers.com/xp...0-0-0-beta-1-android-10-t3974497#post80381445

check that out i have it working on mine and everything seems to be working alright.

If you know how i can get Flat Bar indicator working give me a shout.

thanks for the reply.